/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : localhost:3306
 Source Schema         : dlp_reagent_managment

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 07/07/2023 11:24:38
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for acceptance_record_form
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_record_form`;
CREATE TABLE `acceptance_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptance_conclusion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(验收结论)',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核人审核时间',
  `date_of_acceptance` datetime(6) NULL DEFAULT NULL COMMENT '(验收日期)',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人审核意见',
  `three_level_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `follow_up_treatment` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(后续处理情况)',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不合格项目)',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核意见',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核时间',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人审核意见',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '(二级审核人审核日期)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(二级审核人ID)',
  `audit_result_of_secondary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材管理员审核结果',
  `audit_result_of_three_level` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核审核结果',
  `audit_result_of_primary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(一级审核结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `the_same_brand_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号是否一致',
  `bam_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号是否一致备注',
  `consistent_quantity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数量是否一致',
  `cq_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数量是否一致备注',
  `packing_in_good_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装是否完好',
  `pgc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装是否完好备注',
  `validity_period` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '有效期',
  `vp_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '有效期备注',
  `delivery_cycle` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供货周期',
  `dc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供货周期备注',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `warehousing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收物品单ID',
  `user_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'user_name',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收物品名称',
  `acceptance_sign_for_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收中间表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(验收记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for acceptance_sign_for
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_sign_for`;
CREATE TABLE `acceptance_sign_for`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `quantity` int(11) NULL DEFAULT NULL COMMENT '验收种数',
  `warehousing_record_form_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '签收记录表ID',
  `status` int(255) NULL DEFAULT NULL COMMENT '状态\r\n',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for application_for_use
-- ----------------------------
DROP TABLE IF EXISTS `application_for_use`;
CREATE TABLE `application_for_use`  (
  `date_of_collection` datetime(6) NULL DEFAULT NULL COMMENT '(领取日期)',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用登记表ID',
  `claim_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `experiment_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '检验鉴定实验ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `IXFK_application_for_use_requisition_record`(`requisition_record_id`) USING BTREE,
  CONSTRAINT `FK_application_for_use_requisition_record` FOREIGN KEY (`requisition_record_id`) REFERENCES `requisition_record` (`requisition_record_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for batch_details
-- ----------------------------
DROP TABLE IF EXISTS `batch_details`;
CREATE TABLE `batch_details`  (
  `batch_details_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材库存ID)',
  `batch` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `compliance_test_situation` tinyint(5) NULL DEFAULT NULL COMMENT '(符合性检验情况)',
  `date_of_last_check` datetime(6) NULL DEFAULT NULL COMMENT '(上次期间核查日期)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `service_status` int(11) NULL DEFAULT NULL COMMENT '(使用状态)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `limit_date` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存放时间',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  `warehousing_batch_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收入库明细ID',
  PRIMARY KEY (`batch_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for blacklist
-- ----------------------------
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE `blacklist`  (
  `blacklist_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `results_of_compliance_check` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(符合性检查结果)',
  `supplier_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '符合性检查记录表ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`blacklist_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材黑名单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for catalogue_details
-- ----------------------------
DROP TABLE IF EXISTS `catalogue_details`;
CREATE TABLE `catalogue_details`  (
  `catalogue_details_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `purchase_catalogue_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录ID',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注\r\n',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`catalogue_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for category_table
-- ----------------------------
DROP TABLE IF EXISTS `category_table`;
CREATE TABLE `category_table`  (
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '类别',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for centralized_request
-- ----------------------------
DROP TABLE IF EXISTS `centralized_request`;
CREATE TABLE `centralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `date_of_application` datetime(6) NULL DEFAULT NULL COMMENT '(申请日期)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划ID',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '申请人名称',
  `audit_result` tinyint(255) NULL DEFAULT NULL COMMENT '审核结果',
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核意见',
  `audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核人ID',
  `audit_time` datetime(6) NULL DEFAULT NULL COMMENT '审核时间',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/购买理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for check_schedule
-- ----------------------------
DROP TABLE IF EXISTS `check_schedule`;
CREATE TABLE `check_schedule`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `manager_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人ID',
  `audit_time_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核时间',
  `audit_result_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核结果',
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核意见',
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核人ID',
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for compliance_check
-- ----------------------------
DROP TABLE IF EXISTS `compliance_check`;
CREATE TABLE `compliance_check`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `date_of_inspection` datetime(6) NULL DEFAULT NULL COMMENT '(检查日期)',
  `examination_conclusion` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查结论)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `inspection_scheme` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查方案)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `secondary_auditor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '不合格项目',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `executor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '执行者ID',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(符合性检查记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for deactivation_application
-- ----------------------------
DROP TABLE IF EXISTS `deactivation_application`;
CREATE TABLE `deactivation_application`  (
  `deactivation_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `application_time` datetime(0) NULL DEFAULT NULL COMMENT '(申请时间)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`deactivation_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质到期停用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for decentralize_details
-- ----------------------------
DROP TABLE IF EXISTS `decentralize_details`;
CREATE TABLE `decentralize_details`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `decentralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(分散采购申请ID)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `quantity` int(10) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(用途)',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单明细ID',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购备注',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分散采购申请明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for decentralized_request
-- ----------------------------
DROP TABLE IF EXISTS `decentralized_request`;
CREATE TABLE `decentralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人id)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果\r\n',
  `approval_of_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核意见',
  `audit_result_of_primary` tinyint(3) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(3) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_result_of_three_level` tinyint(3) NULL DEFAULT NULL COMMENT '三级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核时间',
  `compliance_testing` tinyint(6) NULL DEFAULT NULL COMMENT '(需要符合性检验)',
  `date_of_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请日期)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID\r\n',
  `purchase_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `status` int(8) NULL DEFAULT NULL COMMENT '(提交状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `three_level_audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(分散采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for delivery_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `delivery_registration_form`;
CREATE TABLE `delivery_registration_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_delivery` datetime(6) NULL DEFAULT NULL COMMENT '(出库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库人)',
  `outgoing_applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库申请人)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `status` int(5) NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材出库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for details_of_centralized
-- ----------------------------
DROP TABLE IF EXISTS `details_of_centralized`;
CREATE TABLE `details_of_centralized`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `centralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(集中采购申请ID)',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `quantity_purchased` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(采购数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细ID',
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货数量',
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货试剂耗材ID',
  `number_of_applications` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '采购申请数量',
  `details_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改明细备注',
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货备注',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for evaluation_form
-- ----------------------------
DROP TABLE IF EXISTS `evaluation_form`;
CREATE TABLE `evaluation_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `comments_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价意见',
  `comments_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价意见',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系电话)',
  `contact_person` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人)',
  `primary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价人ID',
  `comments_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价意见',
  `secondary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价人ID',
  `service_provider_and_supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商ID)',
  `three_level_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商/服务商信息表ID',
  `supplier_business_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `comments_result_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价结果',
  `comments_date_from_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级评价时间',
  `comments_result_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价结果',
  `comments_date_from_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级评价时间',
  `comments_result_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价结果',
  `comments_date_from_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级评价时间',
  `status` int(2) NULL DEFAULT NULL COMMENT '状态\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商评价表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for fixed_value_report
-- ----------------------------
DROP TABLE IF EXISTS `fixed_value_report`;
CREATE TABLE `fixed_value_report`  (
  `fixed_value_report_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `fixed_value_report` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值报告URL)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `fixed_result` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`fixed_value_report_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(定值报告)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for instruction_book
-- ----------------------------
DROP TABLE IF EXISTS `instruction_book`;
CREATE TABLE `instruction_book`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人审核意见',
  `audit_result_of_technical` tinyint(3) NULL DEFAULT NULL COMMENT '技术负责人审核结果',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '技术负责人审核时间',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `instruction_book` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书)',
  `maker_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制定人)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `set_time` datetime(6) NULL DEFAULT NULL COMMENT '(制定时间)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_type_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注物质类型ID',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查指导书)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for outgoing_contents
-- ----------------------------
DROP TABLE IF EXISTS `outgoing_contents`;
CREATE TABLE `outgoing_contents`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材出库登记表ID)',
  `outbound_use` int(3) NULL DEFAULT NULL COMMENT '(出库用途)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库物品批次ID',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `reagent_consumables_set_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用物品信息ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(出库内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for period_verification_implementation
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_implementation`;
CREATE TABLE `period_verification_implementation`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_technical` tinyint(36) NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `cause_of_dissatisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不满足应用要求原因分析)',
  `checking_time` datetime(6) NULL DEFAULT NULL COMMENT '(核查时间)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `implementation_and_results` varchar(2550) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查实施情况及结果)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人员ID)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `opinion_of_inspector` tinyint(3) NULL DEFAULT NULL COMMENT '(核查人员意见)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人ID)',
  `verification_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查方法)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `period_verification_plan_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '期间核查计划明细ID',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '核查依据',
  `result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '核查结果',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `cause_of_dissatisfaction_result` tinyint(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查实施情况及结果记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for period_verification_plan
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_plan`;
CREATE TABLE `period_verification_plan`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_next_check` datetime(6) NULL DEFAULT NULL COMMENT '(下次核查日期)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人ID)',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `planned_verification_cycle` int(5) NULL DEFAULT NULL COMMENT '(计划核查周期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `scheduled_verification_date` datetime(6) NULL DEFAULT NULL COMMENT '(计划核查日期)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查依据)',
  `implementation_date` datetime(6) NULL DEFAULT NULL COMMENT '(核查实施日期)',
  `verification_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `check_schedule_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '期间核查计划主表ID',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查计划和确认表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for procurement_content
-- ----------------------------
DROP TABLE IF EXISTS `procurement_content`;
CREATE TABLE `procurement_content`  (
  `procurement_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购计划id)',
  `quantity_purchased` int(8) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `subtotal` double(255, 0) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(小计)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(单价)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货数量',
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货试剂耗材ID',
  `replacement_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货后的单价',
  `details_of_centralized_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '集中采购申请明细ID',
  `number_of_applications` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购申请数量',
  `plan_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细备注',
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货信息备注',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  PRIMARY KEY (`procurement_content_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for provide_services_or_supplies
-- ----------------------------
DROP TABLE IF EXISTS `provide_services_or_supplies`;
CREATE TABLE `provide_services_or_supplies`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '提供服务或供应品' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for purchase_catalogue
-- ----------------------------
DROP TABLE IF EXISTS `purchase_catalogue`;
CREATE TABLE `purchase_catalogue`  (
  `purchase_catalogue_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见\r\n',
  `audit_result` tinyint(255) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(255) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchase_catalogue_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for purchase_list
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list`;
CREATE TABLE `purchase_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '清单名称',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `status` int(9) NULL DEFAULT NULL COMMENT '状态 0 ：未提交 1：已提交',
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型：采购计划/分散采购申请',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for purchase_list_details
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list_details`;
CREATE TABLE `purchase_list_details`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)·',
  `purchase_quantity` int(11) NULL DEFAULT NULL COMMENT '(采购量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购i计划表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for purchasing_plan
-- ----------------------------
DROP TABLE IF EXISTS `purchasing_plan`;
CREATE TABLE `purchasing_plan`  (
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `appropriation_budget` double(255, 0) NULL DEFAULT NULL COMMENT '(经费预算)',
  `approval_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `approval_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果',
  `approval_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `create_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人名称',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细ID',
  PRIMARY KEY (`purchasing_plan_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购计划)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for reagent_consumable_inventory
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_inventory`;
CREATE TABLE `reagent_consumable_inventory`  (
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NOT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '配置浓度',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `unit_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `storage_life` int(6) NULL DEFAULT NULL COMMENT '存储期限',
  `status` int(255) NULL DEFAULT NULL COMMENT '状态',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  `warning_value` int(10) NULL DEFAULT NULL COMMENT '预警值',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`reagent_consumable_inventory_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试剂耗材库存' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for reagent_consumables
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables`;
CREATE TABLE `reagent_consumables`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类别',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '配置浓度',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`reagent_consumable_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材类)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for reagent_consumables_set
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables_set`;
CREATE TABLE `reagent_consumables_set`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `purpose` int(6) NULL DEFAULT NULL COMMENT '用途 ：0 案件 1 科研',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `application_for_use_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用申请表ID',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `quantity_delivered` int(255) NULL DEFAULT NULL COMMENT '实际领用数量',
  `outgoing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库明细ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材集合)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for reference_material
-- ----------------------------
DROP TABLE IF EXISTS `reference_material`;
CREATE TABLE `reference_material`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类ID',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(11) NULL DEFAULT NULL COMMENT '状态 0为可以使用，-1为停用,-2为降级使用、-3 已被领用,-4 使用完毕,报废',
  `reagent_consumable_inventory_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '库存类ID',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `custodian_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '管理员名称',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `service_status` int(6) NULL DEFAULT NULL COMMENT '使用状态 0 正常使用、-2降级使用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for requisition_record
-- ----------------------------
DROP TABLE IF EXISTS `requisition_record`;
CREATE TABLE `requisition_record`  (
  `requisition_record_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号\r\n',
  `drawing_amount` int(8) NULL DEFAULT NULL COMMENT '领用数量',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `delivery_registration_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  PRIMARY KEY (`requisition_record_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for solution_use_form
-- ----------------------------
DROP TABLE IF EXISTS `solution_use_form`;
CREATE TABLE `solution_use_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '溶液使用记录表\r\n',
  `solution_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '溶液ID',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用人ID',
  `quantity_used` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用数量',
  `order_of_use` int(255) NULL DEFAULT NULL COMMENT '用途',
  `date_of_use` datetime(6) NULL DEFAULT NULL COMMENT '使用日期',
  `standard_material_application_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质领用归还登记表ID',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for standard_material_application
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_application`;
CREATE TABLE `standard_material_application`  (
  `standard_material_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `administrator_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `date_of_return` datetime(6) NULL DEFAULT NULL COMMENT '(归还日期)',
  `purpose_and_quantity` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用数量',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `requisitioned_quantity` int(11) NULL DEFAULT NULL COMMENT '(领用数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `serial_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用登记表ID',
  `storage_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库登记表ID',
  `claim_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `purpose` int(6) NULL DEFAULT NULL COMMENT '用途',
  `number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `application_for_use_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用申请表ID',
  `status` int(3) NULL DEFAULT NULL COMMENT '状态 0 ：未提交 1：已归还',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `is_return` int(3) NULL DEFAULT NULL COMMENT '是否归还',
  `reference_substance_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  PRIMARY KEY (`standard_material_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质领用/归还登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for standard_material_approval_form
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_approval_form`;
CREATE TABLE `standard_material_approval_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `agent_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(经办人)',
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人)',
  `application_time` datetime(6) NULL DEFAULT NULL COMMENT '(申请时间)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批意见)',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批结果)',
  `approval_of_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批时间)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核意见)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任id)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `manufacturer_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制造商)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `processing_time` datetime(6) NULL DEFAULT NULL COMMENT '(处理时间)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reason_for_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请原因)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人id)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '申请人名称',
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  `application_content` int(6) NULL DEFAULT NULL COMMENT '申请原因',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质停用/报废销毁/恢复/降级使用审批表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for standard_reserve_solution
-- ----------------------------
DROP TABLE IF EXISTS `standard_reserve_solution`;
CREATE TABLE `standard_reserve_solution`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '(配置浓度(mg/mL))',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(配置日期)',
  `constant_volume` double(255, 5) NULL DEFAULT NULL COMMENT '(定容体积（mL）)',
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_material_scale` double(255, 5) NULL DEFAULT NULL COMMENT '(标准物质称取量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液编号)',
  `use_of_solvent` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用溶剂)',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用人ID)',
  `validity_period` int(6) NULL DEFAULT NULL COMMENT '(有效期限)',
  `status` int(5) NULL DEFAULT NULL COMMENT '状态  0 已配置未入库 1: 已入库',
  `warehousing_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库备注',
  `reference_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成的标准溶液ID',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准储备溶液配制及使用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for standard_solution_curve
-- ----------------------------
DROP TABLE IF EXISTS `standard_solution_curve`;
CREATE TABLE `standard_solution_curve`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `serialn_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '(标准储备溶液浓度)',
  `concentration_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度编号)',
  `step_solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(逐级溶液浓度)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(工作曲线溶液配置日期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准工作曲线溶液配置记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for supplier_information
-- ----------------------------
DROP TABLE IF EXISTS `supplier_information`;
CREATE TABLE `supplier_information`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptable_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(合格状态)',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人电话)',
  `contact_person_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人名称)',
  `name_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人姓名)',
  `photograph_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人照片)路径',
  `qualification_document` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(资质文件)路径',
  `scope_of_supply` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应范围)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_coding` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商编码)',
  `supplier_id_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人身份证号)',
  `supplier_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商名称)',
  `supplier_telephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人电话)',
  `supplier_business_license` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `photograph` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商图片',
  `qualification_document_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '资质文件名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for warehousing_batch_list
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_batch_list`;
CREATE TABLE `warehousing_batch_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `date_of_receipt` datetime(6) NULL DEFAULT NULL COMMENT '签收日期',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `warning_value` int(11) NULL DEFAULT NULL COMMENT '(预警值)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收人\r\n',
  `warehousing_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '签收内容ID',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `limit_date` varbinary(255) NULL DEFAULT NULL COMMENT '存储期限',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `batch_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for warehousing_content
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_content`;
CREATE TABLE `warehousing_content`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `total_quantity` int(6) NULL DEFAULT NULL COMMENT '应签收数量',
  `warehousing_quantity` int(6) NULL DEFAULT NULL COMMENT '每次签收数量',
  `catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录编号',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warehousing_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库登记表ID',
  `acceptance_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收记录表ID',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  `evaluation_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商评价表ID',
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单批次ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态0 未签收完 1 已签收完',
  `warning_value` int(255) NULL DEFAULT NULL COMMENT '预警值',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `last_storage_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '上次存放位置',
  `lattice_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `box_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for warehousing_record_form
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_record_form`;
CREATE TABLE `warehousing_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Procedure structure for pro_code_generator
-- ----------------------------
DROP PROCEDURE IF EXISTS `pro_code_generator`;
delimiter ;;
CREATE PROCEDURE `pro_code_generator`()
begin
	SELECT COUNT(*) INTO @menucount FROM sys_menu WHERE menu="reagent";
	-- SELECT @menucount;
	set @parentId = replace(UUID(),"-","");
	SELECT MAX(sort) into @maxsort FROM sys_menu WHERE parent_id = "root";
	if ((SELECT @menucount)>0) then
		SELECT menu_id INTO @parentId FROM sys_menu WHERE menu="reagent";
	else
		INSERT into `sys_menu` ( `parent_id`, menu_id, `path`, menu,  `permission_id`, `type`, `icon`, `sort`, `name`)
    		values ( 'root', @parentId, '/reagent', 'reagent', '', '0', 'icon-bangzhushouji', @maxsort+10,'reagent管理');
	end if;
end
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
