package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 批次明细
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe 批次明细 实体类
 */
@Data
@TableName(value = "batch_details", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "批次明细")
public class BatchDetails extends BaseEntity {

    @ApiModelProperty(value="(批次)")
    private String  batch;

    @ApiModelProperty(value="(批号)")
    private String batchNumber;

    @ApiModelProperty(value="(符合性检验情况)")
    private Boolean complianceTestSituation;

    @ApiModelProperty(value="(上次期间核查日期)")
    private LocalDateTime dateOfLastCheck;

    @ApiModelProperty(value="(生产日期)")
    private LocalDate dateOfProduction;

    @ApiModelProperty(value="(偏差/不确定度)")
    private String deviationOrUncertainty;

    @ApiModelProperty(value="(有效日期)")
    private LocalDate expirationDate;

    @ApiModelProperty(value = "(存储期限)")
    private String limitDate;

    @ApiModelProperty(value="(定值结果)")
    private String fixedResult;

    @ApiModelProperty(value="(编号)")
    private String number;

    @ApiModelProperty(value="(购置时间)")
    private LocalDateTime purchaseTime;

    @ApiModelProperty(value="(数量)")
    private Integer quantity;

    @ApiModelProperty(value="(试剂耗材库存ID)")
    private String reagentConsumableInventoryId;

    @ApiModelProperty(value="(使用状态 1 库存充足 -1 库存为0)")
    private Integer serviceStatus;

    @ApiModelProperty(value="(供应商ID)")
    private String supplierId;

    @ApiModelProperty(value = "(格子Id)")
    private String latticeId;

    @ApiModelProperty(value = "(位置信息)")
    private String location;

    @ApiModelProperty(value="柜子ID")
    private String boxId;

    @ApiModelProperty(value="预警信息")
    private String warningInformation;

    @ApiModelProperty(value="签收批次ID")
    private String warehousingBatchListId;

    @TableId(value = "batch_details_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="batchDetailsId")
    private String batchDetailsId;


}
