package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Objects;

import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (服务商/供应商信息)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (服务商/供应商信息) 实体类
 */
@Data
@TableName(value = "supplier_information", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(服务商/供应商信息)")
public class SupplierInformation extends BaseEntity {

    /**
     * (合格状态)
     */
    @ApiModelProperty(value="(合格状态)")
    private String acceptableCondition;

    /**
     * (联系人电话)
     */
    @ApiModelProperty(value="(联系人电话)")
    private String contactNumber;

    /**
     * (联系人名称)
     */
    @ApiModelProperty(value="(联系人名称)")
    private String contactPersonName;

    /**
     * (供应人姓名)
     */
    @ApiModelProperty(value="(供应人姓名)")
    private String nameOfSupplier;

    /**
     * (供应人照片)路径
     */
    @ApiModelProperty(value="(供应人照片)路径")
    private String photographOfSupplier;

    /**
     * (供应人照片)名称
     */
    @ApiModelProperty(value="(供应人照片)名称")
    private String photograph;

    /**
     * (资质文件)路径
     */
    @ApiModelProperty(value="(资质文件)路径")
    private String qualificationDocument;

    /**
     * (资质文件)路径
     */
    @ApiModelProperty(value="(资质文件)名称")
    private String qualificationDocumentName;

    /**
     * (供应范围)
     */
    @ApiModelProperty(value="(供应范围)")
    private String scopeOfSupply;

    /**
     * (供应商编码)
     */
    @ApiModelProperty(value="(供应商编码)")
    private String supplierCoding;

    /**
     * (供应人身份证号)
     */
    @ApiModelProperty(value="(供应人身份证号)")
    private String supplierIdNumber;

    /**
     * (供应商名称)
     */
    @ApiModelProperty(value="(供应商名称)")
    private String supplierName;

    /**
     * (供应人电话)
     */
    @ApiModelProperty(value="(供应人电话)")
    private String supplierTelephone;

    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String number;


    /**
     * supplierInformationId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SupplierInformation that = (SupplierInformation) o;
        return Objects.equals(acceptableCondition, that.acceptableCondition) && Objects.equals(contactNumber, that.contactNumber) && Objects.equals(contactPersonName, that.contactPersonName) && Objects.equals(nameOfSupplier, that.nameOfSupplier) && Objects.equals(photographOfSupplier, that.photographOfSupplier) && Objects.equals(photograph, that.photograph) && Objects.equals(qualificationDocument, that.qualificationDocument) && Objects.equals(qualificationDocumentName, that.qualificationDocumentName) && Objects.equals(scopeOfSupply, that.scopeOfSupply) && Objects.equals(supplierCoding, that.supplierCoding) && Objects.equals(supplierIdNumber, that.supplierIdNumber) && Objects.equals(supplierName, that.supplierName) && Objects.equals(supplierTelephone, that.supplierTelephone) && Objects.equals(number, that.number) && Objects.equals(id, that.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(acceptableCondition, contactNumber, contactPersonName, nameOfSupplier, photographOfSupplier, photograph, qualificationDocument, qualificationDocumentName, scopeOfSupply, supplierCoding, supplierIdNumber, supplierName, supplierTelephone, number, id);
    }
}
