package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.CentralizedRequest;
import digital.laboratory.platform.reagent.entity.DecentralizedRequest;
import digital.laboratory.platform.reagent.entity.PurchasingPlan;
import digital.laboratory.platform.reagent.vo.DecentralizedRequestVO;
import digital.laboratory.platform.reagent.vo.PurchasingPlanVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

import java.util.List;

/**
 * (采购计划) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (采购计划) Mapper 类
 */
@Mapper
public interface PurchasingPlanMapper extends BaseMapper<PurchasingPlan> {
    IPage<PurchasingPlanVO> getPurchasingPlanVOPage(@Param("page") IPage<PurchasingPlan> page, @Param(Constants.WRAPPER) QueryWrapper<PurchasingPlan> qw);

    List<PurchasingPlanVO> getPurchasingPlanVOList(@Param(Constants.WRAPPER) QueryWrapper<PurchasingPlan> qw);

    PurchasingPlanVO getPurchasingPlanVO (String purchasingPlanId);

}
